org.apache.cassandra.serializers

## Class UTF8Serializer

- java.lang.Object
- - org.apache.cassandra.serializers.AbstractTextSerializer
  - - org.apache.cassandra.serializers.UTF8Serializer

All Implemented Interfaces:
  TypeSerializer<java.lang.String>

    public class UTF8Serializer
    extends AbstractTextSerializer

### Field Summary

Fields
`static UTF8Serializer` `instance`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `validate(java.nio.ByteBuffer bytes)`

### Methods inherited from class org.apache.cassandra.serializers.AbstractTextSerializer

`deserialize, getType, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    public static final UTF8Serializer instance

### Method Detail

#### validate

    public void validate(java.nio.ByteBuffer bytes)
                  throws MarshalException

Throws:
  `MarshalException`